import { ITask, Context } from "@webiny/tasks";
import { IUseCase } from "../../../IUseCase";
export interface IChildTasksCleanupExecuteParams {
    context: Context;
    task: ITask;
}
/**
 * Cleanup of the child tasks.
 * This code will remove all the child tasks and their logs, which have no errors in them.
 */
export declare class ChildTasksCleanup implements IUseCase<IChildTasksCleanupExecuteParams, void> {
    execute(params: IChildTasksCleanupExecuteParams): Promise<void>;
}
