"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createEntriesTasks: true
};
exports.createEntriesTasks = void 0;
var _deleteTrashBinEntriesTask = require("./deleteTrashBinEntriesTask");
var _emptyTrashBinByModelTask = require("./emptyTrashBinByModelTask");
var _emptyTrashBinsTask = require("./emptyTrashBinsTask");
var _useCases = require("./useCases");
Object.keys(_useCases).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _useCases[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _useCases[key];
    }
  });
});
const createEntriesTasks = () => {
  return [(0, _deleteTrashBinEntriesTask.createDeleteTrashBinEntriesTask)(), (0, _emptyTrashBinByModelTask.createEmptyTrashBinByModelTask)(), (0, _emptyTrashBinsTask.createEmptyTrashBinsTask)()];
};
exports.createEntriesTasks = createEntriesTasks;

//# sourceMappingURL=index.js.map